<div class="product-main-image">
  <img src="{{ product.featured_image | img_url: 'master' }}" alt="{{ product.title }}" />
</div>
{% if product.images.size > 1 %}
<div class="product-all-images">
  <ul class="owl-carousel">
    {% for image in product.images %}
    <li class="item">
      <a href="{{ image.src | product_img_url: 'master' }}">
        <img src="{{ image.src | product_img_url: 'compact' }}" />
      </a>
    </li>
    {% endfor %}
  </ul>
</div>
{% endif %}